gnutls_x509_crt_get_signature_oid(3)

NAME
gnutls_x509_crt_get_signature_oid - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crt_get_signature_oid(gnutls_x509_crt_t cert, char * oid, size_t * oid_size);

ARGUMENTS

gnutls_x509_crt_t cert
    should contain a gnutls_x509_crt_t type

char * oid
    a pointer to a buffer to hold the OID (may be null)

size_t * oid_size
    initially holds the size of oid

DESCRIPTION
This function will return the OID of the signature algorithm that has been used to sign this certificate. This is function is useful in the case gnutls_x509_crt_get_signature_algorithm() returned GNUTLS_SIGN_UNKNOWN.

RETURNS
zero or a negative error code on error.

SINCE
3.5.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2017 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/